zenilib: SDL_BWin Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
SDL_BWin Class Reference

`#include <SDL_BWin.h>`

Inherits BDirectWindow.

## Public Member Functions

| SDL_BWin (BRect bounds, window_look look, uint32 flags)
virtual | ~SDL_BWin ()
bool | BufferExists ()
bool | BufferIsDirty ()
bool | CanTrashWindowBuffer ()
bool | Connected ()
bool | ConnectionEnabled ()
virtual void | DirectConnected (direct_buffer_info *info)
virtual void | DispatchMessage (BMessage *msg, BHandler *target)
virtual void | FrameMoved (BPoint origin)
virtual void | FrameResized (float width, float height)
BBitmap * | GetBitmap ()
uint8 * | GetBufferPx ()
int32 | GetBytesPerPx ()
clipping_rect * | GetClips ()
int32 | GetFbX ()
int32 | GetFbY ()
int32 | GetID ()
int32 | GetNumClips ()
uint32 | GetRowBytes ()
virtual void | Hide ()
bool | IsShown ()
void | LockBuffer ()
virtual void | MessageReceived (BMessage *message)
virtual void | Minimize (bool minimize)
virtual bool | QuitRequested ()
void | SetBitmap (BBitmap *bitmap)
void | SetBufferDirty (bool bufferDirty)
void | SetBufferExists (bool bufferExists)
void | SetID (int32 id)
void | SetTrashBuffer (bool trash)
virtual void | Show ()
void | UnlockBuffer ()
virtual void | WindowActivated (bool active)
virtual void | Zoom (BPoint origin, float width, float height)

## Detailed Description

Definition at line 63 of file SDL_BWin.h.

## Constructor & Destructor Documentation

SDL_BWin::SDL_BWin | ( | BRect | bounds,
|  | window_look | look,
|  | uint32 | flags
| ) |  |

inline

Definition at line 67 of file SDL_BWin.h.

References BE_DrawThread(), and NULL.

virtual SDL_BWin::~SDL_BWin | ( |  | ) |

inlinevirtual

Definition at line 93 of file SDL_BWin.h.

References free, Lock(), and Unlock().

## Member Function Documentation

bool SDL_BWin::BufferExists | ( |  | ) |

inline

Definition at line 420 of file SDL_BWin.h.

bool SDL_BWin::BufferIsDirty | ( |  | ) |

inline

Definition at line 421 of file SDL_BWin.h.

bool SDL_BWin::CanTrashWindowBuffer | ( |  | ) |

inline

Definition at line 419 of file SDL_BWin.h.

bool SDL_BWin::Connected | ( |  | ) |

inline

Definition at line 414 of file SDL_BWin.h.

bool SDL_BWin::ConnectionEnabled | ( |  | ) |

inline

Definition at line 413 of file SDL_BWin.h.

virtual void SDL_BWin::DirectConnected | ( | direct_buffer_info * | info | ) |

inlinevirtual

Definition at line 158 of file SDL_BWin.h.

References free, LockBuffer(), malloc, memcpy, NULL, and UnlockBuffer().

virtual void SDL_BWin::DispatchMessage | ( | BMessage * | msg,
|  | BHandler * | target
| ) |  |

inlinevirtual

Definition at line 296 of file SDL_BWin.h.

References SDL_PRESSED, and SDL_RELEASED.

virtual void SDL_BWin::FrameMoved | ( | BPoint | origin | ) |

inlinevirtual

Definition at line 217 of file SDL_BWin.h.

References BAPP_WINDOW_MOVED.

virtual void SDL_BWin::FrameResized | ( | float | width,
|  | float | height
| ) |  |

inlinevirtual

Definition at line 228 of file SDL_BWin.h.

References BAPP_WINDOW_RESIZED.

BBitmap* SDL_BWin::GetBitmap | ( |  | ) |

inline

Definition at line 422 of file SDL_BWin.h.

uint8* SDL_BWin::GetBufferPx | ( |  | ) |

inline

Definition at line 417 of file SDL_BWin.h.

int32 SDL_BWin::GetBytesPerPx | ( |  | ) |

inline

Definition at line 418 of file SDL_BWin.h.

clipping_rect* SDL_BWin::GetClips | ( |  | ) |

inline

Definition at line 415 of file SDL_BWin.h.

int32 SDL_BWin::GetFbX | ( |  | ) |

inline

Definition at line 411 of file SDL_BWin.h.

int32 SDL_BWin::GetFbY | ( |  | ) |

inline

Definition at line 412 of file SDL_BWin.h.

int32 SDL_BWin::GetID | ( |  | ) |

inline

Definition at line 409 of file SDL_BWin.h.

int32 SDL_BWin::GetNumClips | ( |  | ) |

inline

Definition at line 416 of file SDL_BWin.h.

uint32 SDL_BWin::GetRowBytes | ( |  | ) |

inline

Definition at line 410 of file SDL_BWin.h.

virtual void SDL_BWin::Hide | ( |  | ) |

inlinevirtual

Definition at line 278 of file SDL_BWin.h.

References BAPP_HIDE.

Referenced by MessageReceived().

bool SDL_BWin::IsShown | ( |  | ) |

inline

Definition at line 408 of file SDL_BWin.h.

void SDL_BWin::LockBuffer | ( |  | ) |

inline

Definition at line 430 of file SDL_BWin.h.

Referenced by DirectConnected().

virtual void SDL_BWin::MessageReceived | ( | BMessage * | message | ) |

inlinevirtual

Definition at line 364 of file SDL_BWin.h.

References BWIN_FULLSCREEN, BWIN_HIDE_WINDOW, BWIN_MAXIMIZE_WINDOW, BWIN_MINIMIZE_WINDOW, BWIN_MOVE_WINDOW, BWIN_RESIZE_WINDOW, BWIN_RESTORE_WINDOW, BWIN_SET_BORDERED, BWIN_SET_TITLE, BWIN_SHOW_WINDOW, Hide(), Minimize(), and Show().

virtual void SDL_BWin::Minimize | ( | bool | minimize | ) |

inlinevirtual

Definition at line 286 of file SDL_BWin.h.

References BAPP_MINIMIZE, and BAPP_RESTORE.

Referenced by MessageReceived().

virtual bool SDL_BWin::QuitRequested | ( |  | ) |

inlinevirtual

Definition at line 240 of file SDL_BWin.h.

References BAPP_WINDOW_CLOSE_REQUESTED.

void SDL_BWin::SetBitmap | ( | BBitmap * | bitmap | ) |

inline

Definition at line 434 of file SDL_BWin.h.

void SDL_BWin::SetBufferDirty | ( | bool | bufferDirty | ) |

inline

Definition at line 432 of file SDL_BWin.h.

void SDL_BWin::SetBufferExists | ( | bool | bufferExists | ) |

inline

Definition at line 429 of file SDL_BWin.h.

void SDL_BWin::SetID | ( | int32 | id | ) |

inline

Definition at line 428 of file SDL_BWin.h.

void SDL_BWin::SetTrashBuffer | ( | bool | trash | ) |

inline

Definition at line 433 of file SDL_BWin.h.

virtual void SDL_BWin::Show | ( |  | ) |

inlinevirtual

Definition at line 268 of file SDL_BWin.h.

References BAPP_SHOW.

Referenced by MessageReceived().

void SDL_BWin::UnlockBuffer | ( |  | ) |

inline

Definition at line 431 of file SDL_BWin.h.

Referenced by DirectConnected().

virtual void SDL_BWin::WindowActivated | ( | bool | active | ) |

inlinevirtual

Definition at line 248 of file SDL_BWin.h.

References BAPP_KEYBOARD_FOCUS.

virtual void SDL_BWin::Zoom | ( | BPoint | origin,
|  | float | width,
|  | float | height
| ) |  |

inlinevirtual

Definition at line 253 of file SDL_BWin.h.

References BAPP_MAXIMIZE.

The documentation for this class was generated from the following file:

- zenilib/jni/external/sdl/src/video/bwindow/SDL_BWin.h